@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap");

:root {
  --primary: #f8770ede;
  --secondary: #666;
  --thirdly: #eee;
  --black: #0c0b57;
  --white: #fff;
  --box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.1);
}

* {
  font-family: "Nunito", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  border: none;
  text-transform: capitalize;
  transition: all 0.2s linear;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-padding-top: 5.5rem;
  scroll-behavior: smooth;
}

section {
  padding: 2rem 9%;
}

section:nth-child(even) {
  background: var(--thirdly);
}

.heading {
  text-align: center;
  color: var(--black);
  font-size: 3rem;
  padding-bottom: 2rem;
  text-transform: uppercase;
}

.sub-heading {
  text-align: center;
  color: var(--primary);
  font-size: 2rem;
  padding-top: 1rem;
}

.btn {
  margin-top: 1rem;
  display: inline-block;
  font-size: 1.7rem;
  color: var(--white);
  background: var(--black);
  border-radius: 0.5rem;
  cursor: pointer;
  padding: 0.8rem 3rem;
}

.btn:hover {
  background: var(--primary);
}

/* ----- Navbar Style Start ----- */
header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: var(--white);
  padding: 1rem 7%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1000;
  box-shadow: var(--box-shadow);
}

header .logo {
  color: var(--black);
  font-size: 2.5rem;
  font-weight: bolder;
}

header .logo i {
  color: var(--primary);
}

header nav a {
  font-size: 1.7rem;
  border-radius: 0.5rem;
  padding: 0.5rem 1.5rem;
  color: var(--secondary);
}

header nav a.active,
header nav a:hover {
  color: var(--white);
  background: var(--primary);
}

header .icons i,
header .icons a {
  cursor: pointer;
  margin-left: 0.5rem;
  height: 4.5rem;
  line-height: 4.5rem;
  width: 4.5rem;
  text-align: center;
  font-size: 1.7rem;
  color: var(--black);
  border-radius: 50%;
  background: var(--thirdly);
}

header .icons i:hover,
header .icons a:hover {
  color: var(--white);
  background: var(--primary);
  transform: rotate(360deg);
}

header .icons #menu-bars {
  display: none;
}
/* ----- Navbar Style End ----- */

/* ----- search-form Start ----- */
#search-form {
  position: fixed;
  top: -110%;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 1004;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
}

#search-form.active {
  top: 0;
}

#search-form #search-box {
  width: 50rem;
  border-bottom: 0.1rem solid var(--white);
  padding: 1rem 0;
  color: var(--white);
  font-size: 3rem;
  text-transform: none;
  background: none;
}

#search-form #search-box::placeholder {
  color: var(--thirdly);
}

#search-form #search-box::-webkit-search-cancel-button {
  -webkit-appearance: none;
}

#search-form label {
  color: var(--white);
  cursor: pointer;
  font-size: 3rem;
}

#search-form label:hover {
  color: var(--primary);
}

#search-form #close {
  position: absolute;
  color: var(--white);
  cursor: pointer;
  top: 2rem;
  right: 3rem;
  font-size: 4rem;
}

#search-form #close:hover {
  transform: rotate(90deg);
}
/* ----- search-form End ----- */

/* ----- Home Slider Start ----- */
.home .home-slider .slide {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 2rem;
  padding-top: 9rem;
}

.home .home-slider .slide .content {
  flex: 1 1 45rem;
}

.home .home-slider .slide .image {
  flex: 1 1 45rem;
}

.home .home-slider .slide .image img {
  width: 100%;
}

.home .home-slider .slide span {
  color: var(--primary);
  font-size: 2.5rem;
}

.home .home-slider .slide h3 {
  color: var(--black);
  font-size: 6rem;
}

.home .home-slider .slide p {
  max-width: 550px;
  color: var(--secondary);
  font-size: 2.2rem;
  padding: 0.5rem 0;
  line-height: 1.5;
}

.home .swiper-pagination-bullet {
  display: none;
}
/* ----- Home Slider End ----- */

/* Dishes Section Start */
.dishes .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(28rem, 1fr));
  gap: 1.5rem;
}

.dishes .box-container .box {
  padding: 2.5rem;
  background: var(--white);
  border-radius: 0.5rem;
  border: 0.1rem solid rgba(0, 0, 0, 0.2);
  box-shadow: var(--box-shadow);
  position: relative;
  overflow: hidden;
  text-align: center;
}

.dishes .box-container .box .fa-heart,
.dishes .box-container .box .fa-eye {
  position: absolute;
  top: 1.5rem;
  background: var(--thirdly);
  border-radius: 50%;
  height: 5rem;
  width: 5rem;
  line-height: 5rem;
  font-size: 2rem;
  color: var(--black);
}

.dishes .box-container .box .fa-heart:hover,
.dishes .box-container .box .fa-eye:hover {
  color: var(--white);
  background: var(--primary);
}

.dishes .box-container .box .fa-heart {
  right: -15rem;
}

.dishes .box-container .box .fa-eye {
  left: -15rem;
}

.dishes .box-container .box:hover .fa-heart {
  right: 1.5rem;
}

.dishes .box-container .box:hover .fa-eye {
  left: 1.5rem;
}

.dishes .box-container .box img {
  height: 17rem;
  margin: 1rem 0;
}

.dishes .box-container .box h3 {
  color: var(--black);
  font-size: 2.5rem;
}

.dishes .box-container .box .stars {
  padding: 1rem 0;
}

.dishes .box-container .box i {
  font-size: 1.7rem;
  color: var(--primary);
}

.dishes .box-container .box span {
  color: var(--primary);
  font-weight: bolder;
  margin-right: 1rem;
  font-size: 2.5rem;
}
/* Dishes Section End */

/* About Section Start */
.about .row {
  display: flex;
  flex-wrap: wrap;
  gap: 4.5rem;
  align-items: center;
}

.about .row .image {
  flex: 1 1 45rem;
}

.about .row .image img {
  width: 100%;
}

.about .row .content {
  flex: 1 1 45rem;
}

.about .row .content h3 {
  color: var(--black);
  font-size: 4rem;
  padding: 0.5rem 0;
}

.about .row .content p {
  color: var(--secondary);
  font-size: 1.5rem;
  padding: 0.5rem 0;
  line-height: 2;
}

.about .row .content .icons-container {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  padding: 1rem 0;
  margin-top: 0.5rem;
}

.about .row .content .icons-container .icons {
  background: var(--thirdly);
  border-radius: 0.5rem;
  border: 0.1rem solid rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex: 1 1 17rem;
  padding: 1.5rem 1rem;
}

.about .row .content .icons-container .icons i {
  font-size: 2.5rem;
  color: var(--primary);
}

.about .row .content .icons-container .icons span {
  font-size: 1.5rem;
  color: var(--black);
}
/* About Section End */

/* Menu Section Start */
.menu .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 1.5rem;
}

.menu .box-container .box {
  background: var(--white);
  border: 0.1rem solid rgba(0, 0, 0, 0.2);
  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
}

.menu .box-container .box .image {
  height: 25rem;
  width: 100%;
  padding: 1.5rem;
  overflow: hidden;
  position: relative;
}

.menu .box-container .box .image img {
  height: 100%;
  width: 100%;
  border-radius: 0.5rem;
  object-fit: cover;
}

.menu .box-container .box .image .fa-heart {
  position: absolute;
  top: 2.5rem;
  right: 2.5rem;
  height: 5rem;
  width: 5rem;
  line-height: 5rem;
  text-align: center;
  font-size: 2rem;
  background: var(--white);
  border-radius: 50%;
  color: var(--black);
}

.menu .box-container .box .image .fa-heart:hover {
  background-color: var(--primary);
  color: var(--white);
}

.menu .box-container .box .content {
  padding: 2rem;
  padding-top: 0;
}

.menu .box-container .box .content .stars {
  padding-bottom: 1rem;
}

.menu .box-container .box .content .stars i {
  font-size: 1.7rem;
  color: var(--primary);
}

.menu .box-container .box .content h3 {
  color: var(--black);
  font-size: 2.5rem;
}

.menu .box-container .box .content p {
  color: var(--secondary);
  font-size: 1.6rem;
  padding: 0.5rem 0;
}

.menu .box-container .box .content .price {
  color: var(--primary);
  margin-left: 1rem;
  font-size: 2.5rem;
}
/* Menu Section End */

/* Reviews Section Start */
.reviews .slide {
  padding: 2rem;
  box-shadow: var(--box-shadow);
  border: 0.1rem solid rgba(0, 0, 0, 0.2);
  border-radius: 0.5rem;
  position: relative;
}

.reviews .slide .fa-quote-right {
  position: absolute;
  top: 2rem;
  right: 2rem;
  font-size: 6rem;
  color: var(--thirdly);
}

.reviews .slide .user {
  display: flex;
  gap: 1.5rem;
  align-items: center;
  padding-bottom: 1.5rem;
}

.reviews .slide .user img {
  height: 7rem;
  width: 7rem;
  border-radius: 50%;
  border: 0.1rem solid var(--thirdly);
  object-fit: cover;
}

.reviews .slide .user h3 {
  color: var(--black);
  font-size: 2rem;
  padding: 0.5rem;
}

.reviews .slide .user i {
  color: var(--primary);
  font-size: 1.3rem;
}

.reviews .slide p {
  color: var(--secondary);
  font-size: 1.5rem;
  line-height: 1.8;
}
/* Reviews Section End */

/* Order Now Section Start */
.order form {
  max-width: 90rem;
  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
  border: 0.1rem solid rgba(0, 0, 0, 0.2);
  background: var(--white);
  padding: 1.5rem;
  margin: 0 auto;
}

.order form .input-box {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.order form .input-box .input {
  width: 49%;
}

.order form .input-box .input span {
  display: block;
  padding: 0.5rem 0;
  font-size: 1.5rem;
  color: var(--secondary);
}

.order form .input-box .input input,
.order form .input-box .input textarea {
  background: var(--thirdly);
  border-radius: 0.5rem;
  padding: 1rem;
  font-size: 1.6rem;
  color: var(--black);
  text-transform: none;
  margin-bottom: 1rem;
  width: 100%;
  border: 0.1rem solid var(--thirdly);
}

.order form .input-box .input input:focus,
.order form .input-box .input textarea:focus {
  border: 0.1rem solid var(--primary);
}

.order form .input-box .input textarea {
  height: 20rem;
  resize: none;
}

.order form btn {
  margin-top: 0;
}
/* Order Now Section End */

/* Footer Section Start */
.footer .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 1.5rem;
}

.footer .box-container .box h3 {
  padding: 0.5rem 0;
  font-size: 2.5rem;
  color: var(--black);
}

.footer .box-container .box a {
  display: block;
  padding: 0.5rem 0;
  font-size: 1.5rem;
  color: var(--secondary);
}

.footer .box-container .box a:hover {
  color: var(--primary);
  text-decoration: underline;
}

.footer .credit {
  text-align: center;
  border-top: 0.1rem solid rgba(0, 0, 0, 0.1);
  font-size: 2rem;
  color: var(--black);
  padding: 0.5rem;
  padding-top: 1.5rem;
  margin-top: 1.5rem;
}

.footer .credit span {
  color: var(--primary);
}
/* Footer Section End */

/* Loader Section Start */
.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 10000;
  background: var(--white);
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.loader-container img {
  width: 35rem;
}

.loader-container.fade-out {
  top: 110%;
  opacity: 0;
}

/* Loader Section End */

/*---------- Media Queries Start ---------- */
@media (max-width: 991px) {
  html {
    font-size: 55%;
  }

  header {
    padding: 1rem 2rem;
  }
  section {
    padding: 2rem;
  }
}

@media (max-width: 768px) {
  html {
    font-size: 50%;
  }

  header .icons #menu-bars {
    display: inline-block;
  }

  header nav {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: var(--white);
    border-top: 0.1rem solid rgba(0, 0, 0, 0.2);
    border-bottom: 0.1rem solid rgba(0, 0, 0, 0.2);
    padding: 1rem;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }

  header nav.active {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }

  header nav a {
    display: block;
    text-align: center;
    padding: 1.5rem;
    margin: 1rem;
    font-size: 2rem;
    background: var(--thirdly);
  }

  #search-form #search-box {
    width: 90%;
    margin: 0 1rem;
  }

  .home .home-slider .slide h3 {
    font-size: 5rem;
  }

  .home .home-slider .slide {
    flex-direction: column-reverse;
  }

  .home .home-slider .slide .content {
    flex: 1;
  }

  .home .home-slider .slide .image {
    flex: 1;
  }

  .dishes .box-container .box img {
    height: auto;
    width: 100%;
  }

  .order form .input-box .input {
    width: 100%;
  }
}
/*---------- Media Queries End ---------- */
